name: nginx-deployment
services:
  e9332321-1d2b-4d91-8383-ebf8a83ee1c8:
    name: e9332321-1d2b-4d91-8383-ebf8a83ee1c8
    traits:
      meshmap:
        edges:
        - data:
            id: 7c3cc16e-48c6-4971-9770-b735377fb65d
            metadata:
              port: 80
              protocol: TCP
            source: 0a357eb1-e13f-4d48-819c-3c158b62d63a
            subType: Network
            target: e9332321-1d2b-4d91-8383-ebf8a83ee1c8
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: e9332321-1d2b-4d91-8383-ebf8a83ee1c8
        position:
          posX: 490
          posY: 210
        whiteboardData: {}
  generic node-ndahn:
    name: Generic Node
    type: GenericNode
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    dependsOn:
    - e9332321-1d2b-4d91-8383-ebf8a83ee1c8
    traits:
      meshmap:
        edges: []
        id: f2b83ea8-2303-4d2c-94d4-8d4224c3e34f
        label: Generic Node
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"none"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 6
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        parent: e9332321-1d2b-4d91-8383-ebf8a83ee1c8
        position:
          posX: 550
          posY: 270
        whiteboardData: {}
  generic node-ndxvq:
    name: Generic Node
    type: GenericNode
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 6fad35c6-feaa-4a0d-a631-9298ec9195f2
        label: Generic Node
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"none"}}}'
          defaultData: '{"label":""}'
          genealogy: ""
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: circle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 4
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        position:
          posX: 450
          posY: 150
        whiteboardData: {}
  node group inventory wallet-dhfiw:
    name: Node Group Inventory Wallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    namespace: deployment
    version: v1.0.0
    model: meshery-core
    dependsOn:
    - e9332321-1d2b-4d91-8383-ebf8a83ee1c8
    traits:
      meshmap:
        edges: []
        id: ea37aa67-345f-47f3-a0a0-9fa25fe8c276
        label: Node Group Inventory Wallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":false},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 7
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        parent: e9332321-1d2b-4d91-8383-ebf8a83ee1c8
        position:
          posX: 430
          posY: 150
        whiteboardData: {}
  node group inventory wallet-xdgyq:
    name: Node Group Inventory Wallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: v1.0.0
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: 94194f95-c762-4561-8cf6-de5c8e7a3433
        label: Node Group Inventory Wallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: abf31830-2ad6-54c4-90e1-d4c52807deef
          metadata:
            isAnnotation: false
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: v1.0.0
        meshmodel-metadata:
          capabilities: '{"designer":{"edit":{"config":false,"lock":true,"shape":{"convert-shape":true},"style":false},"label":{"edit":true,"show":false,"sync-with-config-property":"label"}}}'
          defaultData: '{"label":""}'
          genealogy: parent
          isAnnotation: true
          isModelAnnotation: "TRUE"
          isNamespaced: false
          logoURL: ""
          model: meshery-core
          modelDisplayName: Meshery Core
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 1
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 5
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/genericnode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/genericnode-white.svg
        position:
          posX: 430
          posY: 130
        whiteboardData: {}
  service:
    name: service
    type: Service
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        ports:
        - port: 80
          protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: 7c3cc16e-48c6-4971-9770-b735377fb65d
            metadata:
              port: 80
              protocol: TCP
            source: 0a357eb1-e13f-4d48-819c-3c158b62d63a
            subType: Network
            target: e9332321-1d2b-4d91-8383-ebf8a83ee1c8
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: 0a357eb1-e13f-4d48-819c-3c158b62d63a
        label: service
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides:
            background-fit: none
            background-position-y: 4.5
            height: 16
            padding: 12
            width: 17
            z-index: 3
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 370
          posY: 170
        whiteboardData: {}
